aboutsummaryrefslogtreecommitdiff
path: root/ksh
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2017-01-06 20:04:55 +1300
committerTom Ryder <tom@sanctum.geek.nz>2017-01-06 20:04:55 +1300
commit5c4a5dc85da002491d6eb0e6f6b567dde8caf7dc (patch)
tree960c8ee85e03183022eb54e236745d4126fd1322 /ksh
parentAdd tab completion settings to ksh (diff)
downloaddotfiles-5c4a5dc85da002491d6eb0e6f6b567dde8caf7dc.tar.gz
dotfiles-5c4a5dc85da002491d6eb0e6f6b567dde8caf7dc.zip
Rename keyboard trap func less ambiguously
Diffstat (limited to 'ksh')
-rw-r--r--ksh/kshrc.d/bind.ksh4
1 files changed, 2 insertions, 2 deletions
diff --git a/ksh/kshrc.d/bind.ksh b/ksh/kshrc.d/bind.ksh
index 63b46162..34cb5f5a 100644
--- a/ksh/kshrc.d/bind.ksh
+++ b/ksh/kshrc.d/bind.ksh
@@ -3,13 +3,13 @@ case $KSH_VERSION in
# ksh93 is lovely, but complex; rebind ^L so it does the same as Alt-^L
*'93'*)
- bind() {
+ keybd_trap() {
# shellcheck disable=SC2154
case ${.sh.edchar} in
$'\f') .sh.edchar=$'\e\f' ;;
esac
}
- trap bind KEYBD
+ trap keybd_trap KEYBD
;;
# More straightforward with mksh; bind keys to the appropriate emacs mode